#import "../Fragments/Refs/System.graphql"

query ResolveEntryByUrl($locale: String!, $url: String!) {
  all_account_page(where: { url: $url }, locale: $locale) {
    items {
      system {
        ...System
      }
    }
    total
  }
  all_content_page(where: { url: $url }, locale: $locale) {
    items {
      system {
        ...System
      }
    }
    total
  }
  all_current_blocks_page(where: { url: $url }, locale: $locale) {
    items {
      system {
        ...System
      }
    }
    total
  }
  all_loyalty_page(where: { url: $url }, locale: $locale) {
    items {
      system {
        ...System
      }
    }
    total
  }
}
